import type { Generic } from 'adopted-style-sheets';
import type { RadioOption, Optgroup, Option, StencilUnknown } from '../types';
import type { Stringified } from '../types/common';
import type { WatchOptions } from '../utils';
export type OptionsPropType = Stringified<Option<StencilUnknown>[]>;
export type OptionsWithOptgroupPropType = Stringified<(Option<StencilUnknown> | Optgroup<StencilUnknown>)[]>;
export type RadioOptionsPropType = Stringified<RadioOption<StencilUnknown>[]>;
export type PropOptions = {
    options: OptionsPropType;
};
export type PropRadioOptions = {
    options: RadioOptionsPropType;
};
export type PropOptionsWithOptgroup = {
    options: OptionsWithOptgroupPropType;
};
export declare const validateOptions: (component: Generic.Element.Component, value: OptionsPropType | undefined, options?: WatchOptions) => void;
export declare const validateOptionsWithOptgroup: (component: Generic.Element.Component, value: OptionsWithOptgroupPropType | undefined, options?: WatchOptions) => void;
